Subject: Re: [PATCH] tcp: efficient port randomisation (rev 3)

From: "David S. Miller" <[email-masked]>
Date: Wed, 8 Dec 2004 23:55:24 -0800

On Mon, 6 Dec 2004 09:42:34 -0800
Stephen Hemminger <[email-masked]> wrote:

> Third revision of the TCP port randomization patch. It randomizes
> TCP ephemeral ports of incoming connections using variation of existing
> sequence number hash. This one avoids the MD4 for the loopback case since 
> there is no reason to bother over loopback and it improves benchmark numbers.

I don't think the loopback optimization is really necessary.
And in any event, RTCF_LOCAL doesn't necessarily mean that
the connection doesn't go "on the wire" especially when using
Julian's "send to self" patch which I might add at some point.

Anyways, please resend to me the version without the loopback
hack and I'll add it to my 2.6.11 queue.

Thanks Stephen and Michael.